Page MenuHomePhabricator

Fix in_array() expects parameter 2 to be an array or collection in /srv/mediawiki/php-1.28.0-wmf.22/extensions/CirrusSearch/includes/Search/RescoreBuilders.php on line 160
Closed, ResolvedPublic

Description

This errors started to spam the logs when we deployed the config change to activate BM25. The config change was then reverted.

Event Timeline

dcausse created this task.Oct 21 2016, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 317158 had a related patch set uploaded (by DCausse):
Add wgContentNamespaces to the list of vars loaded by SearchConfig

https://gerrit.wikimedia.org/r/317158

Change 317158 merged by jenkins-bot:
Add wgContentNamespaces to the list of vars loaded by SearchConfig

https://gerrit.wikimedia.org/r/317158

Change 317512 had a related patch set uploaded (by DCausse):
Add wgContentNamespaces to the list of vars loaded by SearchConfig

https://gerrit.wikimedia.org/r/317512

Change 317512 merged by jenkins-bot:
Add wgContentNamespaces to the list of vars loaded by SearchConfig

https://gerrit.wikimedia.org/r/317512

Mentioned in SAL (#wikimedia-operations) [2016-10-24T19:22:23Z] <thcipriani@mira> Synchronized php-1.28.0-wmf.22/extensions/CirrusSearch/includes/SearchConfig.php: SWAT: [[gerrit:317512|Add wgContentNamespaces to the list of vars loaded by SearchConfig (T148840)]] (duration: 00m 58s)

MaxSem moved this task from Needs triage to Search on the Discovery board.Oct 26 2016, 9:25 PM
Deskana closed this task as Resolved.Oct 28 2016, 4:25 AM